コンテンツにスキップ
ShopentlyLearn

商品 · ファイルを追加 · upload_id

upload_idを作成した後、multipart/form-dataでファイルを送信し、商品に関連付けます。ダウンロードにはBearerトークンとcategoryの権限が必要です。応答はファイルのバイト列で、公開URLやパスワードは使いません。 共通販売ファイルへの明示的なアクセス規則。 new_purchases / recent_and_new / selected / all_purchasers.

POST/api/v1/product-file-uploads

cURLリクエスト

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request POST \
  --url 'https://shop.onshopently.com/api/v1/product-file-uploads?category=digital' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: files-example-create_upload_api_v1_product_file_uploads_post' \
  --header 'Content-Type: application/json' \
  --data-raw '{"filename":"manual.pdf","product_id":"example","sha256":"5cd2f1cb0e5532b397e7ab1887baf6000c49450fd80ae279eb047c06e4545ecd","size_bytes":46}'

レスポンス

{
  "data": {
    "deleted": false,
    "id": "00000000-0000-4000-8000-000000000001",
    "version": null
  },
  "meta": {
    "request_id": "example"
  }
}

必要な権限

利用可能な最低プラン
STANDARD
必要な権限
特定のフィールドに必要な追加権限
  • category=internal: 商品ファイルの管理 · 内部ファイルcatalog.product_file:write_internal
  • category=customer_document: 商品ファイルの管理 · 購入者向け資料catalog.product_file:write_customer_document
  • category=digital: 商品ファイルの管理 · デジタル商品catalog.product_file:write_digital